Loading...
Searching...
No Matches
wfst_marks Class Reference

## Public Member Functions

| wfst_marks (int x)
int | distinguished (int p, int q)
int | undistinguished (int p, int q)
void | distinguish (int p, int q)
void | undistinguish (int p, int q)
void | find_state_map (EST_IVector &state_map, int &num_new_states)

## Detailed Description

Definition at line 45 of file wfst_aux.h.

## Constructor & Destructor Documentation

## wfst_marks()

wfst_marks::wfst_marks | ( | int | x | ) |

Definition at line 45 of file wfst_aux.cc.

## ~wfst_marks()

wfst_marks::~wfst_marks | ( |  | ) |

Definition at line 62 of file wfst_aux.cc.

## Member Function Documentation

## distinguished()

int wfst_marks::distinguished | ( | int | p,
|  | int | q )

inline

Definition at line 59 of file wfst_aux.h.

## undistinguished()

int wfst_marks::undistinguished | ( | int | p,
|  | int | q )

inline

Definition at line 60 of file wfst_aux.h.

## distinguish()

void wfst_marks::distinguish | ( | int | p,
|  | int | q )

inline

Definition at line 62 of file wfst_aux.h.

## undistinguish()

void wfst_marks::undistinguish | ( | int | p,
|  | int | q )

inline

Definition at line 63 of file wfst_aux.h.

## find_state_map()

void wfst_marks::find_state_map | ( | EST_IVector & | state_map,
|  | int & | num_new_states )

Definition at line 72 of file wfst_aux.cc.

The documentation for this class was generated from the following files:

- grammar/wfst/wfst_aux.h
- grammar/wfst/wfst_aux.cc